Description
Implement an ACNET interface for the CMTF Interlocks ADC.

History

#1 - 04/24/2016 07:04 PM - John Diamond

Implemented devices for all of the scalar properties of the digitizer. What remains is to implement accessors for string and array data.

#2 - 04/24/2016 07:16 PM - John Diamond

Created Z:CIAxxx devices for testing on nm2rfi (test stand in upstairs north-end tech area):

e Z:CIAA16 - A16 Base Address
e Z:CIAA32 - A32 Base Address
e Z:CIANCH - Number of Channels

#3 - 04/25/2016 11:30 AM - John Diamond
More ACNET devices:

Z:CIAMOD - Digitizer mode
Z:CIAMON - Monitor source
Z:CIASMP - Number of samples
Z:CIATRG - Number of triggers
Z:CIARWS - Raw Data Size

#4 - 04/25/2016 12:16 PM - John Diamond
- % Done changed from 0 to 70
Implemented status & control device:

e Z:CIACTL

Status reports tripped when probe() fails.
Control can be used to invoke reset() and run().

#5 - 04/26/2016 04:36 PM - John Diamond
- % Done changed from 70 to 90

Implemented raw readout and diagnostic interrupt devices.

e Z:CIARAW - Raw data array

e Z:CIAINT - Diagnostic interrupts (added commands for enable/disabling interrupts to Z:CIACTL)

#6 - 04/26/2016 07:50 PM - John Diamond

Implemented the "Disable Diag Int" command. Fixed the scaling for the Digitizer Mode and Monitor Source devices.
